> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rails.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product Specifications

> This endpoint retrieves product specifications.



## OpenAPI

````yaml GET /api/v1/product-specifications
openapi: 3.1.0
info:
  title: Market Data API
  version: 1.0.0
servers:
  - url: https://market-data.sandbox.rails.xyz
security: []
paths:
  /api/v1/product-specifications:
    get:
      summary: Get product specifications
      operationId: getProductSpecifications
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    market:
                      type: string
                      description: >-
                        Market name. Example value: `ETH-USDT`. To get all
                        supported markets, call
                        [/api/v1/markets](/latest/perps/rest-api/get-supported-markets)
                        endpoint.
                    tickSize:
                      type: string
                      description: Minimum price movement.
                    lotSize:
                      type: string
                      description: Minimum quantity movement.
                    fundingIntervalHours:
                      type: integer
                      description: Funding interval in hours.
                    minOrderSizeUSD:
                      type: string
                      description: Minimum order size in USD.
                    maxOrderSizeUSD:
                      type: string
                      description: Maximum order size in USD. Empty string means no limit.
                    contractType:
                      type: string
                      description: Type of the contract.
                  required:
                    - market
                    - tickSize
                    - lotSize
                    - fundingIntervalHours
                    - minOrderSizeUSD
                    - maxOrderSizeUSD
                    - contractType
              example:
                - market: BTC-USDT
                  tickSize: '0.01'
                  lotSize: '0.0000001'
                  fundingIntervalHours: 1
                  minOrderSizeUSD: '1'
                  maxOrderSizeUSD: ''
                  contractType: Vanilla
                - market: ETH-USDT
                  tickSize: '0.01'
                  lotSize: '0.0000001'
                  fundingIntervalHours: 1
                  minOrderSizeUSD: '1'
                  maxOrderSizeUSD: ''
                  contractType: Vanilla

````